Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 373871 - app-office/dia-0.97.1 fails to link against libpng-1.5
Summary: app-office/dia-0.97.1 fails to link against libpng-1.5
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: GNOME Office (OBSOLETE)
URL: https://bugzilla.gnome.org/show_bug.c...
Whiteboard:
Keywords:
Depends on:
Blocks: libpng-1.5
  Show dependency tree
 
Reported: 2011-07-03 03:41 UTC by Stuart Longland (RETIRED)
Modified: 2011-08-07 16:14 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
partial fix for libpng-1.5, exhibits missing blue channel (dia-0.97.1-libpng1.5.diff,408 bytes, patch)
2011-07-03 03:41 UTC, Stuart Longland (RETIRED)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Stuart Longland (RETIRED) gentoo-dev 2011-07-03 03:41:55 UTC
Created attachment 278907 [details, diff]
partial fix for libpng-1.5, exhibits missing blue channel

app-office/dia-0.97.1 fails to build against libpng-1.5 due to dia accessing members of libpng structs directly.  Build typically fails with the following compiler error:

export_png.c: In function ‘export_png_ok’:
export_png.c:181: error: dereferencing pointer to incomplete type
make: *** [export_png.lo] Error 1

Attached is a partial fix to the issue, however a second issue has appeared, namely, the blue channel in the output is absent.  I am investigating this now and will post an updated patch if I figure out what's going on.
Comment 1 Stuart Longland (RETIRED) gentoo-dev 2011-07-03 23:43:29 UTC
Comment on attachment 278907 [details, diff]
partial fix for libpng-1.5, exhibits missing blue channel

Better plan, use upstream's patch, see bug URL.
Comment 2 Samuli Suominen gentoo-dev 2011-08-07 16:14:51 UTC
+  07 Aug 2011; Samuli Suominen <ssuominen@gentoo.org> dia-0.97.1.ebuild,
+  +files/dia-0.97.1-libpng15.patch:
+  Fix building with libpng15 wrt #373871 by Stuart Longland. Remove automagic
+  USE="png zlib" and always depend on libpng and zlib.